Foxit PDF Conversion SDK

Public Member Functions | Public Attributes | List of all members
foxit::conversion::pdf2office::PDF2WordSettingData Class Reference

Inherits Object.

## Public Member Functions
| PDF2WordSettingData ()
| Constructor.
| PDF2WordSettingData (bool enable_retain_page_layout, bool enable_generate_headers_and_footers, bool enable_generate_footnotes_and_endnotes, bool enable_generate_page_rendered_break, int max_blank_paragraphs_per_page_bottom)
| Constructor, with parameters. More...
PDF2WordSettingData & | operator= (const PDF2WordSettingData &data)
| Assign operator. More...
void | Set (bool enable_retain_page_layout, bool enable_generate_headers_and_footers, bool enable_generate_footnotes_and_endnotes, bool enable_generate_page_rendered_break, int max_blank_paragraphs_per_page_bottom)
| Set value. More...

## Public Attributes
bool | enable_generate_footnotes_and_endnotes
| A boolean value which indicates whether convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of word format documents during the conversion of PDF documents to word format documents. Default value: false. More...
bool | enable_generate_headers_and_footers
| A boolean value which indicates whether convert the recognized headers and footers from PDF documents to headers and footers in word format documents during the conversion of PDF documents to word format documents. Default value: true. More...
bool | enable_generate_page_rendered_break
| A boolean value which indicates whether to generate the "lastRenderedPageBreak" marker in word format documents during the conversion of PDF documents to Word format documents. Default value: false. More...
bool | enable_retain_page_layout
| A boolean value which indicates whether retain page layout for the conversion of PDF documents to Word format documents. Default value: false. More...
int | max_blank_paragraphs_per_page_bottom
| Specifies the maximum number of blank paragraphs that can be placed at the bottom of each page when converting PDF files to Word documents. More...

## Detailed Description

This class represents setting data used for converting PDF documents to Word format documents.

## Constructor & Destructor Documentation

## ◆ PDF2WordSettingData()

foxit::conversion::pdf2office::PDF2WordSettingData::PDF2WordSettingData | ( | bool | enable_retain_page_layout,
|  | bool | enable_generate_headers_and_footers,
|  | bool | enable_generate_footnotes_and_endnotes,
|  | bool | enable_generate_page_rendered_break,
|  | int | max_blank_paragraphs_per_page_bottom
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | enable_retain_page_layout | A boolean value which indicates whether retain page layout for the conversion of PDF documents to Word format documents. Default value: false. true means to retain page layout for the conversion of PDF documents to Word format documents. false means not to retain page layout for the conversion of PDF documents to Word format documents.
  [in] | enable_generate_headers_and_footers | A boolean value which indicates whether convert the recognized headers and footers from PDF documents to headers and footers of Word format documents during the conversion of PDF documents to Word format documents. Default value: true. true means to convert the recognized headers and footers from PDF documents to headers and footers of Word format documents. false means to convert the recognized headers and footers from PDF documents to the main texts or text boxes of Word format documents. This parameter is recommended to be set to false in 32-bit environments.
  [in] | enable_generate_footnotes_and_endnotes | A boolean value which indicates whether convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of Word format documents during the conversion of PDF documents to Word format documents. Default value: false. true means to convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of Word format documents. false means to convert the recognized footnotes and endnotes from PDF documents to the main texts or text boxes of Word format documents. Default value:false.
  [in] | enable_generate_page_rendered_break | A boolean value which indicates whether to generate the "lastRenderedPageBreak" marker in word format documents during the conversion of PDF documents to Word format documents.
  [in] | max_blank_paragraphs_per_page_bottom | Specifies the maximum number of blank paragraphs that can be placed at the bottom of each page when converting PDF files to Word documents.

## Member Function Documentation

## ◆ operator=()

PDF2WordSettingData& foxit::conversion::pdf2office::PDF2WordSettingData::operator= | ( | const PDF2WordSettingData & | data | ) |
| inline

Assign operator.

Parameters

  [in] | data | Another PDF-to-Word setting data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::conversion::pdf2office::PDF2WordSettingData::Set | ( | bool | enable_retain_page_layout,
|  | bool | enable_generate_headers_and_footers,
|  | bool | enable_generate_footnotes_and_endnotes,
|  | bool | enable_generate_page_rendered_break,
|  | int | max_blank_paragraphs_per_page_bottom
| ) |  |
| inline

Set value.

Parameters

  [in] | enable_retain_page_layout | A boolean value which indicates whether retain page layout for the conversion of PDF documents to Word format documents. Default value: false. true means to retain page layout for the conversion of PDF documents to Word format documents. false means not to retain page layout for the conversion of PDF documents to Word format documents.
  [in] | enable_generate_headers_and_footers | A boolean value which indicates whether convert the recognized headers and footers from PDF documents to headers and footers of Word format documents during the conversion of PDF documents to Word format documents. Default value: true. true means to convert the recognized headers and footers from PDF documents to headers and footers of Word format documents. false means to convert the recognized headers and footers from PDF documents to the main texts or text boxes of Word format documents. This parameter is recommended to be set to false in 32-bit environments.
  [in] | enable_generate_footnotes_and_endnotes | A boolean value which indicates whether convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of Word format documents during the conversion of PDF documents to Word format documents. Default value: false. true means to convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of Word format documents. false means to convert the recognized footnotes and endnotes from PDF documents to the main texts or text boxes of Word format documents. Default value:false.
  [in] | enable_generate_page_rendered_break | A boolean value which indicates whether to generate the "lastRenderedPageBreak" marker in word format documents during the conversion of PDF documents to Word format documents.
  [in] | max_blank_paragraphs_per_page_bottom | Specifies the maximum number of blank paragraphs that can be placed at the bottom of each page when converting PDF files to Word documents.

Returns
  None.

## Member Data Documentation

## ◆ enable_generate_footnotes_and_endnotes

bool foxit::conversion::pdf2office::PDF2WordSettingData::enable_generate_footnotes_and_endnotes

A boolean value which indicates whether convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of word format documents during the conversion of PDF documents to word format documents. Default value: false.

true means to convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of word format documents. false means to convert the recognized footnotes and endnotes from PDF documents to the main texts or text boxes of word format documents.

## ◆ enable_generate_headers_and_footers

bool foxit::conversion::pdf2office::PDF2WordSettingData::enable_generate_headers_and_footers

A boolean value which indicates whether convert the recognized headers and footers from PDF documents to headers and footers in word format documents during the conversion of PDF documents to word format documents. Default value: true.

true means to convert the recognized headers and footers from PDF documents to headers and footers of word format documents. false means to convert the recognized headers and footers from PDF documents to the main texts or text boxes of word format documents.

Note
  Currently, this parameter is recommended to be set to false in 32-bit environments.

## ◆ enable_generate_page_rendered_break

bool foxit::conversion::pdf2office::PDF2WordSettingData::enable_generate_page_rendered_break

A boolean value which indicates whether to generate the "lastRenderedPageBreak" marker in word format documents during the conversion of PDF documents to Word format documents. Default value: false.

If true, the "lastRenderedPageBreak" marker will be inserted into the Word document to denote the pagination position from the last PDF rendering. If false, the "lastRenderedPageBreak" marker will not be inserted. "lastRenderedPageBreak" is a marker that indicates the location of a page break that was inserted when the document was last saved or rendered in an application. It is particularly useful for applications that need to track where content was split across pages during the document's rendering process.

## ◆ enable_retain_page_layout

bool foxit::conversion::pdf2office::PDF2WordSettingData::enable_retain_page_layout

A boolean value which indicates whether retain page layout for the conversion of PDF documents to Word format documents. Default value: false.

true means to retain page layout for the conversion of PDF documents to Word format documents. false means not to retain page layout for the conversion of PDF documents to Word format documents.

## ◆ max_blank_paragraphs_per_page_bottom

int foxit::conversion::pdf2office::PDF2WordSettingData::max_blank_paragraphs_per_page_bottom

Specifies the maximum number of blank paragraphs that can be placed at the bottom of each page when converting PDF files to Word documents.

This parameter controls the allowed number of empty paragraphs at the end of every page in the generated Word document. By setting this limit, users can prevent excessive empty space at the bottom of pages, thereby ensuring that the final document maintains a tidy and professional appearance without unnecessary blank lines that could affect layout and readability. Negative number indicates no limit on the number of blank paragraphs allowed at the bottom of each page.